from pyplasm import *

mattone = T([1,2])([-0.5,-0.5])(CUBOID([1,1,0.2]))

out = STRUCT([mattone, R([1,2])(PI/10),T(3)(0.2)] * 20)

VIEW(out)






def cerchio (p):
    u,v = p
    return [v*COS(u),v*SIN(u)]

dom2d = PROD([INTERVALS(2*PI)(32), T(1)(0.5)(INTERVALS(1)(3))])
out = MAP(cerchio)(dom2d)

VIEW(out)




if True:
    def oggetto (p):
        u,v,w = p
        return [v*COS(u),v*SIN(u),w]

    dom3d = INSR(PROD)([INTERVALS(2*PI)(32), T(1)(0.5)(INTERVALS(1)(3)),
                  INTERVALS(0.5)(1)])
    out = MAP(oggetto)(dom3d)

    VIEW(out)
